Package com.google.android.exoplayer2.testutil

## Class DefaultRenderersFactoryAsserts

- java.lang.Object
- - com.google.android.exoplayer2.testutil.DefaultRenderersFactoryAsserts

-     public final class DefaultRenderersFactoryAsserts
      extends Object

  Assertions for `DefaultRenderersFactory`.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DefaultRenderersFactoryAsserts()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static void` | `assertExtensionRendererCreated​(Class<? extends Renderer> clazz, int type)` | Asserts that an extension renderer of type `clazz` is not instantiated for `DefaultRenderersFactory.EXTENSION_RENDERER_MODE_OFF`, and that it's instantiated in the correct position relative to other renderers of the same type for `DefaultRenderersFactory.EXTENSION_RENDERER_MODE_ON` and `DefaultRenderersFactory.EXTENSION_RENDERER_MODE_PREFER`, assuming no other extension renderers can be loaded.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultRenderersFactoryAsserts

          public DefaultRenderersFactoryAsserts()

  - ### Method Detail

    - #### assertExtensionRendererCreated

          public static void assertExtensionRendererCreated​(Class<? extends Renderer> clazz,
                                                            int type)

      Asserts that an extension renderer of type `clazz` is not instantiated for `DefaultRenderersFactory.EXTENSION_RENDERER_MODE_OFF`, and that it's instantiated in the correct position relative to other renderers of the same type for `DefaultRenderersFactory.EXTENSION_RENDERER_MODE_ON` and `DefaultRenderersFactory.EXTENSION_RENDERER_MODE_PREFER`, assuming no other extension renderers can be loaded.
      Parameters:
        `clazz` - The extension renderer class.
        `type` - The type of the renderer.